# iterator_traits Struct Template Reference

Inheritance diagram for iterator_traits:

List of all members.

## Detailed Description

### template<typename _Iterator>
struct std::iterator_traits< _Iterator >

This class does nothing but define nested typedefs. The general version simply "forwards" the nested typedefs from the Iterator argument. Specialized versions for pointers and pointers-to-const provide tighter, more correct semantics.

Definition at line 127 of file stl_iterator_base_types.h.

## Public Types

- typedef _Iterator::difference_type difference_type
- typedef _Iterator::iterator_category iterator_category
- typedef _Iterator::pointer pointer
- typedef _Iterator::reference reference
- typedef _Iterator::value_type value_type

The documentation for this struct was generated from the following file:

- stl_iterator_base_types.h